<div class='ptx__tax'>
  <app-loading *ngIf="isLoadingPage"></app-loading>
  <form [formGroup]='form'>
    <div nz-row [nzGutter]="[30,30]">
      <div nz-col nzXs="24" nzLg="24">
        <mb-date-picker
          mbPlaceholderText="{{'personalTax.config.year' | translate}}"
          mbLabelText="{{'personalTax.config.year' | translate}}  <span class='label__required'>*</span>"
          mbMode="year"
          [mbFormat]="'yyyy'"
          [mbType]="isSubmitted && form.controls['year'].errors ? 'error' : 'default'"
          [mbShowError]="isSubmitted && form.controls['year'].errors != null"
          [mbErrors]="form.controls['year'].errors"
          [mbErrorDefs]="[
          { errorName: 'required', errorDescription: 'personalTax.validate.required' | translate: {'param': 'personalTax.config.year' | translate }}
          ]"
          (ngModelChange)='selectYear($event)'
          formControlName="year"></mb-date-picker>
      </div>
      <div nz-col nzXs="24" nzLg="24">
        <mb-date-picker
          mbPlaceholderText="{{'personalTax.config.fromDate' | translate}}"
          mbLabelText="{{'personalTax.config.fromDate' | translate}} <span class='label__required'>*</span>"
          [mbType]="isSubmitted && (form.controls['fromDate'].errors || form.errors?.rangeDateError) ? 'error' : 'default'"
          [mbShowError]="isSubmitted && (form.controls['fromDate'].errors || form.errors?.rangeDateError) != null"
          [mbErrors]="form.errors?.rangeDateError ? form.errors : form.controls['fromDate'].errors"
          [mbErrorDefs]="[
          { errorName: 'required', errorDescription: 'personalTax.validate.required' | translate: {'param': 'personalTax.table.fromDate' | translate }},
          { errorName: 'rangeDateError', errorDescription: 'personalTax.validate.rangeDate.pareDate' | translate:
          {'fromDate': 'personalTax.config.fromDate' | translate, 'toDate': 'personalTax.config.toDate' | translate}}
          ]"
          formControlName="fromDate"></mb-date-picker>
      </div>
      <div nz-col nzXs="24" nzLg="24">
        <mb-date-picker
          mbPlaceholderText="{{'personalTax.config.toDate' | translate}}"
          mbLabelText="{{'personalTax.config.toDate' | translate}} <span class='label__required'>*</span>"
          [mbType]="isSubmitted && form.controls['toDate'].errors ? 'error' : 'default'"
          [mbShowError]="isSubmitted && form.controls['toDate'].errors != null"
          [mbErrors]="form.controls['toDate'].errors"
          [mbErrorDefs]="[
            { errorName: 'required', errorDescription: 'personalTax.validate.required' | translate: {'param': 'personalTax.config.toDate' | translate }}
          ]"
          formControlName="toDate"></mb-date-picker>
      </div>
      <div nz-col nzXs="24" nzLg="24">
        <mb-date-picker
          mbPlaceholderText="{{'personalTax.config.fromRemindDate' | translate}}"
          mbLabelText="{{'personalTax.config.fromRemindDate' | translate}} <span class='label__required'>*</span>"
          [mbType]="isSubmitted && (form.controls['fromRemindDate'].errors || form.errors?.rangeDateRemindError || form.errors?.fromDateRemindError) ? 'error' : 'default'"
          [mbShowError]="isSubmitted && (form.controls['fromRemindDate'].errors || form.errors?.rangeDateRemindError || form.errors?.fromDateRemindError) != null"
          [mbErrors]="(form.errors?.rangeDateRemindError || form.errors?.fromDateRemindError) ? form.errors : form.controls['fromRemindDate'].errors"
          [mbErrorDefs]="[
          { errorName: 'required', errorDescription: 'personalTax.validate.required' | translate: {'param': 'personalTax.table.fromDate' | translate }},
          { errorName: 'rangeDateRemindError', errorDescription: 'personalTax.validate.rangeDate.pareDate' | translate:
          {'fromDate': 'personalTax.config.fromRemindDate' | translate, 'toDate': 'personalTax.config.toRemindDate' | translate}},
          { errorName: 'fromDateRemindError', errorDescription: 'personalTax.validate.rangeDate.pareDate' | translate:
          {'fromDate': 'personalTax.config.fromDate' | translate, 'toDate': 'personalTax.config.fromRemindDate' | translate}}
          ]"
          formControlName="fromRemindDate"></mb-date-picker>
      </div>
      <div nz-col nzXs="24" nzLg="24">
        <mb-date-picker
          mbPlaceholderText="{{'personalTax.config.toRemindDate' | translate}}"
          mbLabelText="{{'personalTax.config.toRemindDate' | translate}} <span class='label__required'>*</span>"
          [mbType]="isSubmitted && (form.controls['toRemindDate'].errors || form.errors?.toDateRemindError) ? 'error' : 'default'"
          [mbShowError]="isSubmitted && (form.controls['toRemindDate'].errors || form.errors?.toDateRemindError) != null"
          [mbErrors]="form.errors?.toDateRemindError ? form.errors : form.controls['toRemindDate'].errors"
          [mbErrorDefs]="[
            { errorName: 'required', errorDescription: 'personalTax.validate.required' | translate: {'param': 'personalTax.config.toRemindDate' | translate }},
            { errorName: 'toDateRemindError', errorDescription: 'personalTax.validate.rangeDate.pareDate' | translate:
            {'fromDate': 'personalTax.config.toRemindDate' | translate, 'toDate': 'personalTax.config.toDate' | translate}}
            ]"
          formControlName="toRemindDate"></mb-date-picker>
      </div>
      <div nz-col nzXs="24" nzLg="24" style='text-align: right'>
        <button nz-button nzType="default" (click)="closeConfigDateModal()">{{'personalTax.dependentRegisters.cancel' | translate}}</button>
        <mb-button mbButtonSize='MEDIUM' mbButtonAvailableStyle='PRIMARY'
                   (click)="onSave()"
                   mbButtonText="{{'personalTax.dependentRegisters.save' | translate}}"></mb-button>
      </div>
    </div>
  </form>
</div>
